Summary: PHP plugin for kdevelop
Name: kdevelop4-php
Version: 1.0.0
Release: %mkrel 3
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/1.0.0/src/kdevelop-php-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:1.0.0
BuildRequires: kdevelop-pg-qt-devel
Requires: kdevelop4 >= 4:4.0.0

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphplanguagesupport.so
%_kde_libdir/libkdev4phpcompletion.so
%_kde_libdir/libkdev4phpduchain.so
%_kde_libdir/libkdev4phpparser.so
%_kde_appsdir/kdevappwizard/templates/simple_phpapp.tar.bz2
%_kde_appsdir/kdevphpsupport/phpfunctions.php.gz
%_kde_services/kdevphpsupport.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
rm -rf %{buildroot}


%changelog
* Thu Apr 29 2010 Luc Menut <lmenut@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 541034
- fix typo in requires

  + Funda Wang <fwang@mandriva.org>
    - no more betaver

* Thu Apr 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 540752
- Rebuild

  + Funda Wang <fwang@mandriva.org>
    - BR kdevelop-pg-qt-devel
    - 1.0.0 final

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0-0.rc1.1mdv2010.1
+ Revision: 531397
- rc1

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0-0.beta2.1mdv2010.1
+ Revision: 478418
- fix file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to Beta 2

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0-0.beta1.1mdv2010.1
+ Revision: 461773
- import kdevelop4-php

